× If you expect answers you should describe your problem and give as much information's as possible. (SQL-Structure, Template Code, Joomla Version ...) Please read this before posting: joodb.feenders.de/support.html

JooDB over Joomla 4.2.6 Error: Class "JSubMenuHelper" not found

More
1 month 1 week ago #7153 by Cippa
Hi all,

I have just upgraded Joomla from 3.10 to 4.2.6 with JooDB version installed 3.0.

When I open the JooDB extension I get the error:

Class "JSubMenuHelper" not found

It seems that it doesn't find the database, and if I click on the "New Database" icon in the new window that pops up there is another error:

500 behavior::formvalidation not found.

Should I just install the new JooDB version 4.2.2 or should I do something different in order to keep the database?
How can I migrate from JooDB 3.0 to 4.2.2?

Thank you for your help.

Please Log in to join the conversation.

More
2 weeks 2 days ago #7156 by Dirk
Of course install the latest Version if you use Joomal4

Please Log in to join the conversation.

More
2 weeks 2 days ago #7158 by Cippa
Thank you Dirk, that's what I have done.
But since I'm not an expert, I tried to gather some information before to make any mistake. :)
So far so good.

Please Log in to join the conversation.

Moderators: Dirkjoest